Package org.apache.wiki.plugin

## Class SampleAjaxPlugin

- java.lang.Object
- - org.apache.wiki.plugin.SampleAjaxPlugin

All Implemented Interfaces:
  `WikiAjaxServlet`, `Plugin`

    public class SampleAjaxPlugin
    extends java.lang.Object
    implements Plugin, WikiAjaxServlet

Since:
  2.10.2-svn10 updated according to https://issues.apache.org/jira/browse/JSPWIKI-1195

### Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`SampleAjaxPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`
`java.lang.String` `getServletMapping()`
`void` `service​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String actionName, java.util.List<java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SampleAjaxPlugin

    public SampleAjaxPlugin()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`

#### getServletMapping

    public java.lang.String getServletMapping()

Specified by:
  `getServletMapping` in interface `WikiAjaxServlet`

#### service

    public void service​(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        java.lang.String actionName,
                        java.util.List<java.lang.String> params)
                 throws javax.servlet.ServletException,
                        java.io.IOException

Specified by:
  `service` in interface `WikiAjaxServlet`
Throws:
  `javax.servlet.ServletException`
  `java.io.IOException`